DOM::Event class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::Event Class Reference

Introduced in DOM Level 2. More...

`#include <dom2_events.h>`

Inheritance diagram for DOM::Event:

[legend]
List of all members.

## Public Types
enum | PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 }
| An integer indicating which phase of event flow is being processed. More...
## Public Member Functions
| Event (const Event &other)
Event & | operator= (const Event &other)
DOMString | type () const
| The name of the event (case-insensitive).
Node | target () const
| Used to indicate the EventTarget to which the event was originally dispatched.
Node | currentTarget () const
| Used to indicate the EventTarget whose EventListeners are currently being processed.
unsigned short | eventPhase () const
| Used to indicate which phase of event flow is currently being evaluated.
bool | bubbles () const
| Used to indicate whether or not an event is a bubbling event.
bool | cancelable () const
| Used to indicate whether or not an event can have its default action prevented.
DOMTimeStamp | timeStamp () const
| Used to specify the time (in milliseconds relative to the epoch) at which the event was created.
void | stopPropagation ()
| The stopPropagation method is used prevent further propagation of an event during event flow.
void | preventDefault ()
| If an event is cancelable, the preventDefault method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur.
void | initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg)
| The initEvent method is used to initialize the value of an Event created through the DocumentEvent interface.
EventImpl * | handle () const
bool | isNull () const
DOMString | eventModuleName ()
## Protected Member Functions
| Event (EventImpl *i)
## Protected Attributes
EventImpl * | impl
## Friends
class | Document
class | NodeImpl
class | DocumentImpl
class | KJS::Image

## Detailed Description

Introduced in DOM Level 2.

The Event interface is used to provide contextual information about an event to the handler processing the event. An object which implements the Event interface is generally passed as the first parameter to an event handler. More specific context information is passed to event handlers by deriving additional interfaces from Event which contain information directly relating to the type of event they accompany. These derived interfaces are also implemented by the object passed to the event listener.

Definition at line 115 of file dom2_events.h.

## Member Enumeration Documentation

enum DOM::Event::PhaseType

| An integer indicating which phase of event flow is being processed. AT_TARGET: The event is currently being evaluated at the target EventTarget. BUBBLING_PHASE: The current event phase is the bubbling phase. CAPTURING_PHASE: The current event phase is the capturing phase. Definition at line 138 of file dom2_events.h.

## Member Function Documentation

DOMString Event::type | ( |  | ) | const

| The name of the event (case-insensitive). The name must be an XML name. Definition at line 82 of file dom2_events.cpp.

Node Event::target | ( |  | ) | const

| Used to indicate the EventTarget to which the event was originally dispatched. Definition at line 90 of file dom2_events.cpp.

Node Event::currentTarget | ( |  | ) | const

| Used to indicate the EventTarget whose EventListeners are currently being processed. This is particularly useful during capturing and bubbling. Definition at line 98 of file dom2_events.cpp.

unsigned short Event::eventPhase | ( |  | ) | const

| Used to indicate which phase of event flow is currently being evaluated. Definition at line 106 of file dom2_events.cpp.

bool Event::bubbles | ( |  | ) | const

| Used to indicate whether or not an event is a bubbling event. If the event can bubble the value is true, else the value is false. Definition at line 114 of file dom2_events.cpp.

bool Event::cancelable | ( |  | ) | const

| Used to indicate whether or not an event can have its default action prevented. If the default action can be prevented the value is true, else the value is false. Definition at line 122 of file dom2_events.cpp.

DOMTimeStamp Event::timeStamp | ( |  | ) | const

| Used to specify the time (in milliseconds relative to the epoch) at which the event was created. Due to the fact that some systems may not provide this information the value of timeStamp may be not available for all events. When not available, a value of 0 will be returned. Examples of epoch time are the time of the system start or 0:0:0 UTC 1st January 1970. Definition at line 130 of file dom2_events.cpp. References DOM::DOMTimeStamp.

void Event::stopPropagation | ( |  | ) |

| The stopPropagation method is used prevent further propagation of an event during event flow. If this method is called by any EventListener the event will cease propagating through the tree. The event will complete dispatch to all listeners on the current EventTarget before event flow stops. This method may be used during any stage of event flow. Definition at line 138 of file dom2_events.cpp.

void Event::preventDefault | ( |  | ) |

| If an event is cancelable, the preventDefault method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur. If, during any stage of event flow, the preventDefault method is called the event is canceled. Any default action associated with the event will not occur. Calling this method for a non-cancelable event has no effect. Once preventDefault has been called it will remain in effect throughout the remainder of the event's propagation. This method may be used during any stage of event flow. Definition at line 146 of file dom2_events.cpp.

void Event::initEvent | ( | const DOMString & | eventTypeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg
| ) |

  | The initEvent method is used to initialize the value of an Event created through the DocumentEvent interface. This method may only be called before the Event has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times the final invocation takes precedence. If called from a subclass of Event interface only the values specified in the initEvent method are modified, all other attributes are left unchanged. Parameters:
  eventTypeArg | Specifies the event type. This type may be any event type currently defined in this specification or a new event type.. The string must be an XML name.
  Any new event type must not begin with any upper, lower, or mixed case version of the string "DOM". This prefix is reserved for future DOM event sets. It is also strongly recommended that third parties adding their own events use their own prefix to avoid confusion and lessen the probability of conflicts with other new events. Parameters:
  canBubbleArg | Specifies whether or not the event can bubble.
  cancelableArg | Specifies whether or not the event's default action can be prevented.
Definition at line 154 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001